Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.taskmanager
Interface HumanTaskManagerDelegateFactoryService

All Superinterfaces:
  PortletService

Deprecated. This API is deprecated since version 8.0 - Human Task processing functionality is handled by the new Universal Tasklist Portlet.

    public interface HumanTaskManagerDelegateFactoryService

extends PortletService

The `HumanTaskManagerDelegateFactoryService` is a Java Portlet API portlet service that provides access to a HumanTaskManagerDelegate instance. An instance of this service can be retrieved the following way:

`Context ctx = new InitialContext();
portletServiceHome = (PortletServiceHome) ctx.lookup("portletservice/com.ibm.portal.portlet.service.taskmanager.HumanTaskManagerDelegateFactoryService");
taskManagerDelegateFactory = (HumanTaskManagerDelegateFactoryService) portletServiceHome.getPortletService(HumanTaskManagerDelegateFactoryService.class);
`

Since:
  6.0

Method Summary
`HumanTaskManagerDelegate` | `getHumanTaskManagerDelegate()` Deprecated. Returns an instance of the `HumanTaskManagerDelegate` .
`HumanTaskManagerDelegate` | `getHumanTaskManagerDelegate(java.lang.String alias)` Deprecated. Returns an instance of the `HumanTaskManagerDelegate` .

Method Detail

### getHumanTaskManagerDelegate

    HumanTaskManagerDelegate getHumanTaskManagerDelegate()
                                                         throws TaskManagerDelegateFactoryServiceException

  Deprecated.
  Returns an instance of the `HumanTaskManagerDelegate` .

  Returns:
    HumanTaskManagerDelegate The Human Task Manager delegate.
  Throws:
    `TaskManagerDelegateFactoryServiceException` - Thrown if an error occurs during processing.

### getHumanTaskManagerDelegate

    HumanTaskManagerDelegate getHumanTaskManagerDelegate(java.lang.String alias)
                                                         throws TaskManagerDelegateFactoryServiceException

  Deprecated.
  Returns an instance of the `HumanTaskManagerDelegate` .

  Parameters:
    `alias` - The alias representing the HumanTaskManager instance for which a delegate should be retrieved.
  Returns:
    HumanTaskManagerDelegate The Human Task Manager delegate.
  Throws:
    `TaskManagerDelegateFactoryServiceException` - Thrown if an error occurs during processing.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD